# $Revision: 1.10 $, $Date: 2002/05/13 08:28:38 $
Summary:	Library to access GSM mobile phones through GSM modems
Summary(pl):	Biblioteka dostpu do telefonw GSM poprzez modem GSM
Name:		gsmlib
Version:	1.9
Release:	1
License:	LGPL
Vendor:		Peter Hofmann <software@pxh.de>
Group:		Libraries
Source0:	http://www.pxh.de/fs/gsmlib/download/%{name}-%{version}.tar.gz
URL:		http://www.pxh.de/fs/gsmlib/
BuildRequires:	autoconf
BuildRequires:	automake
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This distribution contains a library to access GSM mobile phones
through GSM modems. Features include:
 - modification of phonebooks stored in the mobile phone or on the SIM
   card
 - reading and writing of SMS messages stored in the mobile phone
 - sending and reception of SMS messages

Additionally, some simple command line programs are provided to use
these functionalities.

%description -l pl
Pakiet zawiera bibliotek umoliwiajc dostp do mobilnych telefonw
GSM poprzez modemy GSM. Moliwoci to m.in.:
 - modyfikacja ksiek adresowych zawartych w telefonie lub na karcie
   SIM
 - czytanie i pisanie wiadomoci SMS zapisanych w telefonie
 - wysyanie i odbieranie wiadomoci SMS

Dodatkowo dostpnych jest kilka prostych polece do korzystania z tych
funkcji.

%package devel
Summary:	Development tools for programs which will use the gsmlib library
Summary(pl):	Pliki nagwkowe do pisania programw wykorzystujcych gsmlib
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
The gsmlib-devel package includes the header files necessary for
developing programs which use the gsmlib library.

%description devel -l pl
Pliki nagwkowe wymagane do rozwoju programw wykorzystujcych
gsmlib.

%package static
Summary:	Static gmslib library.
Summary(pl):	Statyczna biblioteka gsmlib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static gmslib library.

%description static -l pl
Statyczna biblioteka gsmlib.

%prep
%setup -q

%build
#aclocal
#autoconf
%configure2_13 \
	--enable-nls
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

gzip -9nf doc/FAQ NEWS README TODO

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_mandir}/man*/*

%files devel
%defattr(644,root,root,755)
%doc *.gz doc/*.gz
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gsmlib.spec,v $
Revision 1.10  2002/05/13 08:28:38  qboosh
- fixed typo, STBR

Revision 1.9  2002/05/09 15:49:40  pioklo
-up to 1.9,STBR

Revision 1.8  2002/04/25 16:30:39  arturs
fixed a small typo

Revision 1.7  2002/02/23 02:30:44  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:13:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/09/30 21:31:43  qboosh
- BuildRequires: autoconf, automake

Revision 1.3  2001/09/30 15:52:51  marcus
- added aclocal,autoconf befor %%configure

Revision 1.2  2000/11/05 17:59:07  kloczek
- spec adapterized ad some cosmetics changes.

Revision 1.1  2000/11/05 11:28:58  misiek
new spec; (not checked because my gcc is broken)
